## tcpdump 4.99.0

=== CMakeLists.txt ===
if(WIN32)
    #
    # We need 3.12 or later, so that we can set policy CMP0074; see
    # below.
    cmake_minimum_required(VERSION 3.12)
else(WIN32)
    cmake_minimum_required(VERSION 2.8.6)
endif(WIN32)

#
# We want find_path() and find_library() to honor {packagename}_ROOT,
# as that appears to be the standard way to say "hey, look here for
# this package" from the command line.
#
if(POLICY CMP0074)
    cmake_policy(SET CMP0074 NEW)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

project(tcpdump)

#
# For checking if a compiler flag works and adding it if it does.
#
include(CheckCCompilerFlag)
macro(check_and_add_compiler_option _option)
    message(STATUS "Checking C compiler flag ${_option}")
    string(REPLACE "=" "-" _temp_option_variable ${_option})
    string(REGEX REPLACE "^-" "" _option_variable ${_temp_option_variable})
    check_c_compiler_flag("${_option}" ${_option_variable})
    if(${${_option_variable}})
        set(C_ADDITIONAL_FLAGS "${C_ADDITIONAL_FLAGS} ${_option}")
    endif()
endmacro()

#
# If we're building with Visual Studio, we require Visual Studio 2015,
# in order to get sufficient C99 compatibility.  Check for that.
#
# If not, try the appropriate flag for the compiler to enable C99
# features.
#
set(C_ADDITIONAL_FLAGS "")
if(MSVC)
    if(MSVC_VERSION LESS 1900)
        message(FATAL_ERROR "Visual Studio 2015 or later is required")
    endif()

    #
    # Treat source files as being in UTF-8 with MSVC if it's not using
    # the Clang front end.
    # We assume that UTF-8 source is OK with other compilers and with
    # MSVC if it's using the Clang front end.
    #
    if(NOT ${CMAKE_C_COMPILER} MATCHES "clang*")
        set(C_ADDITIONAL_FLAGS "${C_ADDITIONAL_FLAGS} /utf-8")
    endif(NOT ${CMAKE_C_COMPILER} MATCHES "clang*")
else(MSVC)
    #
    # Try to enable as many C99 features as we can.
    # At minimum, we want C++/C99-style // comments.
    #
    # Newer versions of compilers might default to supporting C99, but
    # older versions may require a special flag.
    #
    # Prior to CMake 3.1, setting CMAKE_C_STANDARD will not have any effect,
    # so, unless and until we require CMake 3.1 or later, we have to do it
    # ourselves on pre-3.1 CMake, so we just do it ourselves on all versions
    # of CMake.
    #
    # Note: with CMake 3.1 through 3.5, the only compilers for which CMake
    # handles CMAKE_C_STANDARD are GCC and Clang.  3.6 adds support only
    # for Intel C; 3.9 adds support for PGI C, Sun C, and IBM XL C, and
    # 3.10 adds support for Cray C and IAR C, but no version of CMake has
    # support for HP C.  Therefore, even if we use CMAKE_C_STANDARD with
    # compilers for which CMake supports it, we may still have to do it
    # ourselves on other compilers.
    #
    # See the CMake documentation for the CMAKE_<LANG>_COMPILER_ID variables
    # for a list of compiler IDs.
    #
    # XXX - this just tests whether the option works and adds it if it does.
    # We don't test whether it's necessary in order to get the C99 features
    # that we use; if we ever have a user who tries to compile with a compiler
    # that can't be made to support those features, we can add a test to make
    # sure we actually *have* C99 support.
    #
    if(CMAKE_C_COMPILER_ID MATCHES "GNU" OR
       CMAKE_C_COMPILER_ID MATCHES "Clang")
        check_and_add_compiler_option("-std=gnu99")
    elseif(CMAKE_C_COMPILER_ID MATCHES "XL")
        #
        # We want support for extensions picked up for GNU C compatibility,
        # so we use -qlanglvl=extc99.
        #
        check_and_add_compiler_option("-qlanglvl=extc99")
    elseif(CMAKE_C_COMPILER_ID MATCHES "HP")
        check_and_add_compiler_option("-AC99")
    elseif(CMAKE_C_COMPILER_ID MATCHES "Sun")
        check_and_add_compiler_option("-xc99")
    elseif(CMAKE_C_COMPILER_ID MATCHES "Intel")
        check_and_add_compiler_option("-c99")
    endif()
endif(MSVC)

set(LIBRARY_NAME netdissect)

###################################################################
#   Parameters
###################################################################

option(WITH_SMI "Build with libsmi, if available" ON)
option(WITH_CRYPTO "Build with OpenSSL/libressl libcrypto, if available" ON)
option(WITH_CAPSICUM "Build with Capsicum security functions, if available" ON)
option(WITH_CAP_NG "Use libcap-ng, if available" ON)
option(ENABLE_SMB "Build with the SMB dissector" ON)

#
# String parameters.  Neither of them are set, initially; only if the
# user explicitly configures them are they set.
#
# WITH_CHROOT is STRING, not PATH, as the directory need not exist
# when CMake is run.
#
set(WITH_CHROOT CACHE STRING
    "Directory to which to chroot when dropping privileges")
set(WITH_USER CACHE STRING
    "User to whom to set the UID when dropping privileges")

#
# By default, build universal with the appropriate set of architectures
# for the OS on which we're doing the build.
#
if(APPLE AND "${CMAKE_OSX_ARCHITECTURES}" STREQUAL "")
    #
    # Get the major version of Darwin.
    #
    string(REGEX MATCH "^([0-9]+)" SYSTEM_VERSION_MAJOR "${CMAKE_SYSTEM_VERSION}")

    if(SYSTEM_VERSION_MAJOR EQUAL 9)
        #
        # Leopard.  Build for x86 and 32-bit PowerPC, with
        # x86 first.  (That's what Apple does.)
        #
        set(CMAKE_OSX_ARCHITECTURES "i386;ppc")
    elseif(SYSTEM_VERSION_MAJOR EQUAL 10)
        #
        # Snow Leopard.  Build for x86-64 and x86, with
        # x86-64 first.  (That's what Apple does.)
        #
        set(CMAKE_OSX_ARCHITECTURES "x86_64;i386")
    endif()
endif()

###################################################################
#   Versioning
###################################################################

# Get, parse, format and set tcpdump's version string from
# [tcpdump_root]/VERSION for later use.

# Get MAJOR, MINOR, PATCH & SUFFIX
file(STRINGS ${tcpdump_SOURCE_DIR}/VERSION
    PACKAGE_VERSION
    LIMIT_COUNT 1 # Read only the first line
)

######################################
# Project settings
######################################

add_definitions(-DHAVE_CONFIG_H)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${tcpdump_SOURCE_DIR}
)

if(MSVC)
    add_definitions(-D__STDC__)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
endif(MSVC)

if(MSVC)
    if (USE_STATIC_RT)
        MESSAGE(STATUS "Use STATIC runtime")
        set(NAME_RT MT)
        set (CMAKE_CXX_FLAGS_MINSIZEREL     "${CMAKE_CXX_FLAGS_MINSIZEREL} /MT")
        set (CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} /MT")
        set (CMAKE_CXX_FLAGS_RELEASE        "${CMAKE_CXX_FLAGS_RELEASE} /MT")
        set (CMAKE_CXX_FLAGS_DEBUG          "${CMAKE_CXX_FLAGS_DEBUG} /MTd")

        set (CMAKE_C_FLAGS_MINSIZEREL       "${CMAKE_C_FLAGS_MINSIZEREL} /MT")
        set (CMAKE_C_FLAGS_RELWITHDEBINFO   "${CMAKE_C_FLAGS_RELWITHDEBINFO} /MT")
        set (CMAKE_C_FLAGS_RELEASE          "${CMAKE_C_FLAGS_RELEASE} /MT")
        set (CMAKE_C_FLAGS_DEBUG            "${CMAKE_C_FLAGS_DEBUG} /MTd")
    else (USE_STATIC_RT)
        MESSAGE(STATUS "Use DYNAMIC runtime")
        set(NAME_RT MD)
        set (CMAKE_CXX_FLAGS_MINSIZEREL     "${CMAKE_CXX_FLAGS_MINSIZEREL} /MD")
        set (CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} /MD")
        set (CMAKE_CXX_FLAGS_RELEASE        "${CMAKE_CXX_FLAGS_RELEASE} /MD")
        set (CMAKE_CXX_FLAGS_DEBUG          "${CMAKE_CXX_FLAGS_DEBUG} /MDd")

        set (CMAKE_C_FLAGS_MINSIZEREL       "${CMAKE_C_FLAGS_MINSIZEREL} /MD")
        set (CMAKE_C_FLAGS_RELWITHDEBINFO   "${CMAKE_C_FLAGS_RELWITHDEBINFO} /MD")
        set (CMAKE_C_FLAGS_RELEASE          "${CMAKE_C_FLAGS_RELEASE} /MD")
        set (CMAKE_C_FLAGS_DEBUG            "${CMAKE_C_FLAGS_DEBUG} /MDd")
   endif (USE_STATIC_RT)
endif(MSVC)

###################################################################
#   Detect available platform features
###################################################################

include(CMakePushCheckState)
include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckSymbolExists)
include(CheckStructHasMember)
include(CheckVariableExists)
include(CheckTypeSize)

#
# Header files.
#
check_include_file(fcntl.h HAVE_FCNTL_H)
check_include_file(rpc/rpc.h HAVE_RPC_RPC_H)
check_include_file(net/if.h HAVE_NET_IF_H)
if(HAVE_RPC_RPC_H)
    check_include_files("rpc/rpc.h;rpc/rpcent.h" HAVE_RPC_RPCENT_H)
endif(HAVE_RPC_RPC_H)
if(NOT WIN32)
    check_include_files("sys/types.h;sys/socket.h;net/if.h;net/pfvar.h" HAVE_NET_PFVAR_H)
    if(HAVE_NET_PFVAR_H)
        check_include_files("sys/types.h;sys/socket.h;net/if.h;net/pfvar.h;net/if_pflog.h" HAVE_NET_IF_PFLOG_H)
        if(HAVE_NET_IF_PFLOG_H)
            set(LOCALSRC print-pflog.c ${LOCALSRC})
        endif(HAVE_NET_IF_PFLOG_H)
    endif(HAVE_NET_PFVAR_H)
endif(NOT WIN32)

#
# Functions.
#
check_function_exists(strlcat HAVE_STRLCAT)
check_function_exists(strlcpy HAVE_STRLCPY)
check_function_exists(strdup HAVE_STRDUP)
check_function_exists(strsep HAVE_STRSEP)

#
# Find library needed for gethostbyaddr.
# NOTE: if you hand check_library_exists as its last argument a variable
# that's been set, it skips the test, so we need different variables.
#
set(TCPDUMP_LINK_LIBRARIES "")
if(WIN32)
    #
    # We need winsock2.h and ws2tcpip.h.
    #
    cmake_push_check_state()
    set(CMAKE_REQUIRED_LIBRARIES ws2_32)
    check_symbol_exists(gethostbyaddr "winsock2.h;ws2tcpip.h" LIBWS2_32_HAS_GETHOSTBYADDR)
    cmake_pop_check_state()
    if(LIBWS2_32_HAS_GETHOSTBYADDR)
        set(TCPDUMP_LINK_LIBRARIES ws2_32 ${TCPDUMP_LINK_LIBRARIES})
    else(LIBWS2_32_HAS_GETHOSTBYADDR)
        message(FATAL_ERROR "gethostbyaddr is required, but wasn't found")
    endif(LIBWS2_32_HAS_GETHOSTBYADDR)
else(WIN32)
    check_function_exists(gethostbyaddr STDLIBS_HAVE_GETHOSTBYADDR)
    if(NOT STDLIBS_HAVE_GETHOSTBYADDR)
        check_library_exists(socket gethostbyaddr "" LIBSOCKET_HAS_GETHOSTBYADDR)
        if(LIBSOCKET_HAS_GETHOSTBYADDR)
            set(TCPDUMP_LINK_LIBRARIES ${TCPDUMP_LINK_LIBRARIES} socket)
        else(LIBSOCKET_HAS_GETHOSTBYADDR)
            check_library_exists(nsl gethostbyaddr "" LIBNSL_HAS_GETHOSTBYADDR)
            if(LIBNSL_HAS_GETHOSTBYADDR)
                set(TCPDUMP_LINK_LIBRARIES ${TCPDUMP_LINK_LIBRARIES} nsl)
            else(LIBNSL_HAS_GETHOSTBYADDR)
                message(FATAL_ERROR "gethostbyaddr is required, but wasn't found")
            endif(LIBNSL_HAS_GETHOSTBYADDR)
        endif(LIBSOCKET_HAS_GETHOSTBYADDR)
    endif(NOT STDLIBS_HAVE_GETHOSTBYADDR)
endif(WIN32)

#
# This may require additional libraries.
#
cmake_push_check_state()
set(CMAKE_REQUIRED_LIBRARIES ${TCPDUMP_LINK_LIBRARIES})
check_function_exists(getservent STDLIBS_HAVE_GETSERVENT)
if(STDLIBS_HAVE_GETSERVENT)
    set(HAVE_GETSERVENT TRUE)
else(STDLIBS_HAVE_GETSERVENT)
    #
    # Some platforms may need -lsocket for getservent.
    #
    set(CMAKE_REQUIRED_LIBRARIES socket ${TCPDUMP_LINK_LIBRARIES})
    check_function_exists(getservent LIBSOCKET_HAS_GETSERVENT)
    if(LIBSOCKET_HAS_GETSERVENT)
        set(HAVE_GETSERVENT TRUE)
        set(TCPDUMP_LINK_LIBRARIES socket ${TCPDUMP_LINK_LIBRARIES})
    endif(LIBSOCKET_HAS_GETSERVENT)
endif(STDLIBS_HAVE_GETSERVENT)
cmake_pop_check_state()

#
# Make sure we have vsnprintf() and snprintf(); we require them.
# We use check_symbol_exists(), as they aren't necessarily external
# functions - in Visual Studio, for example, they're inline functions
# calling a common external function.
#
check_symbol_exists(vsnprintf "stdio.h" HAVE_VSNPRINTF)
if(NOT HAVE_VSNPRINTF)
    message(FATAL_ERROR "vsnprintf() is required but wasn't found")
endif(NOT HAVE_VSNPRINTF)
check_symbol_exists(snprintf "stdio.h" HAVE_SNPRINTF)
if(NOT HAVE_SNPRINTF)
    message(FATAL_ERROR "snprintf() is required but wasn't found")
endif()

check_function_exists(getopt_long HAVE_GETOPT_LONG)

## tcpdump 4.0.0

=== debian/changelog ===
tcpdump (4.0.0-6ubuntu3.1) lucid-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution in
    olsr_print
    - debian/patches/CVE-2014-8767.patch: improve bounds checking and
      error handling in print-olsr.c.
    - CVE-2014-8767
  * SECURITY UPDATE: denial of service and possible code execution in
    print-aodv.c
    - debian/patches/CVE-2014-8769.patch: improve bounds checking and
      length checking in print-aodv.c, aodv.h.
    - CVE-2014-8769
  * SECURITY UPDATE: denial of service and possible code execution in
    print-ppp.c
    - debian/patches/CVE-2014-9140.patch: improve bounds checking in
      print-ppp.c.
    - CVE-2014-9140

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 03 Dec 2014 17:17:23 -0500

tcpdump (4.0.0-6ubuntu3) lucid; urgency=low

  * debian/usr.sbin.tcpdump: allow access for usbmon (LP: #523345)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 23 Mar 2010 14:31:59 -0500

tcpdump (4.0.0-6ubuntu2) lucid; urgency=low

  * clean up installation of apparmor profile. Thanks to Colin Watson for
    helping me diagnose the problem (LP: #504903)
    - debian/rules: remove 'binary' target
    - add debian/install

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 08 Jan 2010 13:34:56 -0600

tcpdump (4.0.0-6ubuntu1) lucid; urgency=low

  * Merge from debian testing. Remaining changes:
    - add enforcing AppArmor profile
      - create debian/usr.sbin.tcpdump
      - debian/control: suggest apparmor >= 2.3
      - debian/postrm: remove force-complain and disable links on purge
      - debian/rules: update 'binary' target to add profile
      - debian/README.Debian: give information on AppArmor
      - debian/postinst: reload tcpdump profile
      - debian/tcpdump.dirs: added back for AppArmor directories

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 05 Jan 2010 08:21:25 -0600

tcpdump (4.0.0-6) unstable; urgency=low

  * debian/control: Build-depend on hardening-includes.
  * debian/rules: Use hardening.make.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 24 Dec 2009 11:51:12 +0100

tcpdump (4.0.0-5) unstable; urgency=low

  * Switch to 3.0 (quilt) source format:
    + Drop build-depends on quilt.
    + Remove patch/unpatch logic from debian/rules.
    + Remove README.source.
    + Refresh debian/patches/30_tcp_seq.diff.
  * Use dh(1):
    + debian/compat: Bump to 7.
    + debian/control: Build-depend on debhelper (>= 7.0.50~).
    + debian/rules: Simplify.
    + debian/tcpdump.dirs: Removed.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 08 Nov 2009 17:25:38 +0100

tcpdump (4.0.0-4ubuntu2) lucid; urgency=low

  * debian/usr.sbin.tcpdump: require 'owner' for file in @{HOME}

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 04 Dec 2009 09:02:14 -0600

tcpdump (4.0.0-4ubuntu1) lucid; urgency=low

  * Merge from debian unstable (LP: #473236), remaining changes:
    - add enforcing apparmor profile
      - create debian/usr.sbin.tcpdump
      - debian/control: suggest apparmor >= 2.3
      - debian/postinst: reload apparmor
      - debian/postrm: remove force-complain link
      - debian/tcpdump.install: add profile
      - debian/rules: install the profile
      - debian/README.Debian: give information on Apparmor
      - debian/postinst: reload individual tcpdump profile, not all of apparmor
      - debian/postrm: also remove any symlinks in the /etc/apparmor.d/disable
        directory on purge 

 -- Nicolas Valcárcel Scerpella (Canonical) <nvalcarcel@canonical.com>  Tue, 03 Nov 2009 14:47:48 -0500

tcpdump (4.0.0-4) unstable; urgency=low

  * debian/control:
    + Add ${misc:Depends} to Depends.
    + Set Standards-Version to 3.8.3; no changes needed.
  * debian/{watch,README.source}: New files.
  * debian/copyright: Remove link to original file.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 08 Oct 2009 19:00:23 +0200

tcpdump (4.0.0-3) unstable; urgency=low

  * debian/patches/20_man_fixes.diff: Update; pcap-filter is in section 7,
    not 4 (closes: #527599).
  * debian/control: Set Standards-Version to 3.8.1.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 16 Jun 2009 11:51:14 +0200

tcpdump (4.0.0-2ubuntu2) karmic; urgency=low

  * debian/postinst: reload individual tcpdump profile, not all of apparmor
    (LP: #412749)
  * debian/postrm: also remove any symlinks in the /etc/apparmor.d/disable
    directory on purge

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 12 Aug 2009 16:58:28 -0500

tcpdump (4.0.0-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - add enforcing apparmor profile
      - create debian/usr.sbin.tcpdump
      - debian/control: suggest apparmor >= 2.3
      - debian/postinst: reload apparmor
      - debian/postrm: remove force-complain link
      - debian/tcpdump.install: add profile
      - debian/rules: install the profile
      - debian/README.Debian: give information on Apparmor

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 14 May 2009 12:58:52 -0500

tcpdump (4.0.0-2) unstable; urgency=low

  * debian/patches/30_tcp_seq.diff: Patch from Ilpo Järvinen adding back
    default display of sequence numbers in TCP printer (closes: #517661).
  * debian/patches/series: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 01 Mar 2009 14:51:25 +0100

tcpdump (4.0.0-1) unstable; urgency=low

  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 18 Feb 2009 18:55:35 +0100

tcpdump (4.0.0-1~exp1) experimental; urgency=low

  * New upstream release.
  * debian/control: Set Standards-Version to 3.8.0.
  * debian/rules: Don't set DH_VERBOSE.
  * debian/patches/15_install.diff: New patch, don't install two identical
    tcpdump binaries.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 30 Nov 2008 22:55:39 +0100

tcpdump (3.9.8-4ubuntu2) jaunty; urgency=low

  * debian/usr.sbin.tcpdump: use 'audit deny' instead of 'deny' (LP: #348592)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 25 Mar 2009 13:33:28 -0500



=== debian/control ===
Source: tcpdump
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libpcap0.8-dev (>= 0.9.3), libssl-dev,
               autotools-dev, hardening-includes
Standards-Version: 3.8.3
Homepage: http://www.tcpdump.org/
Vcs-Browser: http://git.debian.org/?p=users/rfrancoise/tcpdump.git
Vcs-Git: git://git.debian.org/git/users/rfrancoise/tcpdump.git

Package: tcpdump
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: apparmor (>= 2.3)
Description: A powerful tool for network monitoring and data acquisition
 This program allows you to dump the traffic on a network. tcpdump 
 is able to examine IPv4, ICMPv4, IPv6, ICMPv6, UDP, TCP, SNMP, AFS
 BGP, RIP, PIM, DVMRP, IGMP, SMB, OSPF, NFS and many other packet
 types.
 .
 It can be used to print out the headers of packets on a network 
 interface, filter packets that match a certain expression. You can 
 use this tool to track down network problems, to detect "ping attacks" 
 or to monitor network activities.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/hardening-includes/hardening.make

export CFLAGS += -D_FILE_OFFSET_BITS=64 $(HARDENING_CFLAGS)
export LDFLAGS += $(HARDENING_LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --enable-ipv6

## tcpdump 4.0.0-1

=== debian/control ===
Source: tcpdump
Priority: extra
Maintainer: Felipe Zimmerle <felipe@zimmerle.org>
Build-Depends: debhelper (>= 5), autotools-dev, libpcap-dev
Depends: libpcap1
Standards-Version: 4.0.0
Section: net

Package: tcpdump
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tcpdumd is a command line utility for package sniffer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --enable-ipv6


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	mkdir -p $(CURDIR)/debian/usr/bin
	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tcpdump 4.1.1

=== debian/changelog ===
tcpdump (4.1.1-2ubuntu2) oneiric; urgency=low

  * debian/usr.sbin.tcpdump:
    - allow gzip and bzip2 (LP: #722856)
    - allow read and write to .pcap files
    - allow read of /var/log/snort/*log* files
  * debian/patches/90_man_apparmor.diff: update man page to reference AppArmor
    confinement

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 22 Jun 2011 09:13:45 -0500

tcpdump (4.1.1-2ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add enforcing AppArmor profile.
  * Remove unnecessary debian/postinst and debian/postrm files;
    dh_installdeb will generate these itself.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 May 2011 16:11:16 +0100

tcpdump (4.1.1-2) unstable; urgency=low

  * Fix FTBFS on GNU/Hurd; patch from Svante Signell (closes: #622287).
  * debian/control: Tweak short and long descriptions, set
    Standards-Version to 3.9.1.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 11 Apr 2011 22:37:29 +0200

tcpdump (4.1.1-1ubuntu4) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 May 2011 22:43:20 +0100

tcpdump (4.1.1-1ubuntu3) natty; urgency=low

  * debian/usr.sbin.tcpdump: allow read access to /etc/ethers (LP: #660904)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 07 Jan 2011 12:56:05 -0600

tcpdump (4.1.1-1ubuntu2) maverick; urgency=low

  * debian/control: Build-Depends on debhelper >= 7.4.20ubuntu5
  * debian/usr.sbin.tcpdump: include local override file
  * debian/rules, debian/postrm, debian/postinst: use dh_apparmor

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 06 Aug 2010 12:46:37 -0500

tcpdump (4.1.1-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - add enforcing AppArmor profile:
      - create debian/usr.sbin.tcpdump
      - debian/control: suggest apparmor >= 2.3
      - create debian/postrm: remove force-complain and disable links on purge
      - create debian/README.Debian: give information on AppArmor
      - create debian/postinst: reload tcpdump profile
      - create debian/install: install profile to /etc/apparmor.d
      - create debian/tcpdump.dirs: create etc/apparmor.d/force-complain

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 22 Jun 2010 12:44:32 -0500

tcpdump (4.1.1-1) unstable; urgency=low

  * New upstream release (closes: #576001).
  * debian/rules: Disable dh_auto_test (for now).
  * debian/control: Set Standards-Version to 3.8.4.
  * debian/patches/30_uflag_flushopen.diff: New patch: when saving to a
    capture file with -U, flush the file immediately after opening it.
    Suggested by Ferenc Wagner <wferi@niif.hu> (closes: #533625).
  * debian/patches/20_man_fixes.diff: Fix TCP flags description, thanks to
    Christophe Rhodes <csr21@cantab.net> (closes: #575724).

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 06 Apr 2010 19:58:14 +0200

tcpdump (4.0.0-6ubuntu4) maverick; urgency=low

  * debian/usr.sbin.tcpdump:
    - allow device probing (LP: #585150)
    - allow 'w' access to /dev/bus/usb/**/[0-9]*, needed for proper USB
      probing with libpcap 1.1 and higher

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 10 Jun 2010 14:54:22 -0500

=== debian/control ===
Source: tcpdump
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
Build-Depends: debhelper (>= 7.4.20ubuntu5), libpcap0.8-dev (>= 0.9.3), libssl-dev,
               autotools-dev, hardening-includes
Standards-Version: 3.9.1
Homepage: http://www.tcpdump.org/
Vcs-Browser: http://git.debian.org/?p=users/rfrancoise/tcpdump.git
Vcs-Git: git://git.debian.org/git/users/rfrancoise/tcpdump.git

Package: tcpdump
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: apparmor (>= 2.3)
Description: command-line network traffic analyzer
 This program allows you to dump the traffic on a network. tcpdump 
 is able to examine IPv4, ICMPv4, IPv6, ICMPv6, UDP, TCP, SNMP, AFS
 BGP, RIP, PIM, DVMRP, IGMP, SMB, OSPF, NFS and many other packet
 types.
 .
 It can be used to print out the headers of packets on a network 
 interface, filter packets that match a certain expression. You can 
 use this tool to track down network problems, to detect attacks
 or to monitor network activities.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/hardening-includes/hardening.make

export CFLAGS += -D_FILE_OFFSET_BITS=64 $(HARDENING_CFLAGS)
export LDFLAGS += $(HARDENING_LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --enable-ipv6

override_dh_auto_test:

override_dh_installdeb:
	dh_apparmor --profile-name=usr.sbin.tcpdump -ptcpdump
	dh_installdeb

## tcpdump 4.2.0~rc1

=== debian/changelog ===
tcpdump (4.2.0~rc1-2) experimental; urgency=low

  * Make sure OpenSSL support gets enabled: since it moved to multiarch
    paths, the configure script doesn't find libcrypto.so and disables
    crypto support. To fix this, simplify detection logic in configure.in
    and run autoconf before configuring.
  * Redo build flags handling:
    + Enable hardening flags via dpkg-buildflags, not hardening-includes.
    + Switch to debhelper compat level 9 to have build flags exported
      automatically.
    + Adjust build-depends accordingly.
  * Enable parallel build in debhelper.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 06 Nov 2011 19:14:23 +0100

tcpdump (4.2.0~rc1-1) experimental; urgency=low

  * New upstream beta release (closes: #636806); now switches to the -Z
    user before opening the first output file (closes: #434603).
  * debian/control: Set Standards-Version to 3.9.2.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 14 Aug 2011 10:44:58 +0200

=== debian/control ===
Source: tcpdump
Section: net
Priority: optional
Maintainer: Romain Francoise <rfrancoise@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~),
               debhelper (>= 8.9.4~),
               libpcap0.8-dev (>= 0.9.3),
               libssl-dev,
               autotools-dev,
               autoconf,
Standards-Version: 3.9.2
Homepage: http://www.tcpdump.org/
Vcs-Browser: http://git.debian.org/?p=users/rfrancoise/tcpdump.git
Vcs-Git: git://git.debian.org/git/users/rfrancoise/tcpdump.git

Package: tcpdump
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line network traffic analyzer
 This program allows you to dump the traffic on a network. tcpdump 
 is able to examine IPv4, ICMPv4, IPv6, ICMPv6, UDP, TCP, SNMP, AFS
 BGP, RIP, PIM, DVMRP, IGMP, SMB, OSPF, NFS and many other packet
 types.
 .
 It can be used to print out the headers of packets on a network 
 interface, filter packets that match a certain expression. You can 
 use this tool to track down network problems, to detect attacks
 or to monitor network activities.

## tcpdump 4.2.1

=== debian/changelog ===
tcpdump (4.2.1-1ubuntu2) precise; urgency=low

  * debian/control: Build-Depends on dh-apparmor (LP: #948095)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 06 Mar 2012 09:18:56 -0600

tcpdump (4.2.1-1ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes (LP: #892285):
    - Add enforcing AppArmor profile.
  * Refreshed manpage patch to apply to new upstream.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 04 Jan 2012 10:33:48 +0100

tcpdump (4.2.1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 02 Jan 2012 20:19:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: tcpdump
 Section: net
 Priority: optional
-Maintainer: Romain Francoise <rfrancoise@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~),
                debhelper (>= 8.9.4~),
                libpcap0.8-dev (>= 0.9.3),
                libssl-dev,
                autotools-dev,
                autoconf,
+               dh-apparmor,
 Standards-Version: 3.9.2
 Homepage: http://www.tcpdump.org/
 Vcs-Browser: http://git.debian.org/?p=users/rfrancoise/tcpdump.git
@@ -16,6 +18,7 @@
 Package: tcpdump
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: apparmor (>= 2.3)
 Description: command-line network traffic analyzer
  This program allows you to dump the traffic on a network. tcpdump 
  is able to examine IPv4, ICMPv4, IPv6, ICMPv6, UDP, TCP, SNMP, AFS

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64

%:
	dh $@ --parallel

override_dh_auto_configure:
	autoconf --force
	./configure --prefix=/usr --enable-ipv6 --with-crypto

override_dh_auto_test:

override_dh_installdeb:
	dh_apparmor --profile-name=usr.sbin.tcpdump -ptcpdump
	dh_installdeb

## tcpdump 4.3.0

=== debian/changelog ===
tcpdump (4.3.0-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add enforcing AppArmor profile.
    - debian/control: Build-Depends on dh-apparmor.

 -- Logan Rosen <logatronico@gmail.com>  Wed, 08 Aug 2012 20:06:38 -0400

tcpdump (4.3.0-1) unstable; urgency=low

  * New upstream release.
  * Re-enable test suite.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 13 Jun 2012 22:55:54 +0200

tcpdump (4.2.1-3) unstable; urgency=low

  * Fix CPPFLAGS handling in upstream configure.in to avoid losing
    hardening flags, patch by Simon Ruderich <simon@ruderich.org>
    (closes: #662016).
  * Fix some misspellings pointed out by lintian.
  * debian/control: Set Standards-Version to 3.9.3.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 03 Mar 2012 17:11:48 +0100

tcpdump (4.2.1-2) unstable; urgency=low

  * Drop debian/patches/50_kfreebsd.diff (closes: #658848).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 06 Feb 2012 19:01:12 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                autotools-dev,
                autoconf,
                dh-apparmor,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.tcpdump.org/
 Vcs-Browser: http://git.debian.org/?p=users/rfrancoise/tcpdump.git
 Vcs-Git: git://git.debian.org/git/users/rfrancoise/tcpdump.git

## tcpdump 4.4.0

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                autotools-dev,
                autoconf,
                dh-apparmor,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.tcpdump.org/
-Vcs-Browser: http://git.debian.org/?p=users/rfrancoise/tcpdump.git
-Vcs-Git: git://git.debian.org/git/users/rfrancoise/tcpdump.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/rfrancoise/tcpdump.git
+Vcs-Git: git://anonscm.debian.org/users/rfrancoise/tcpdump.git
 
 Package: tcpdump
 Architecture: any

## tcpdump 4.5.1

=== debian/changelog ===
tcpdump (4.5.1-2ubuntu1~ubuntu12.04.1) precise-backports; urgency=medium

  * No-change backport to precise (LP: #1393373)

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 17 Nov 2014 19:11:06 +0100

tcpdump (4.5.1-2ubuntu1) trusty; urgency=medium

  * Resynchronize on Debian remaining differences:
  * debian/control: 
    - Build-Depends on dh-apparmor.
    - Suggests apparmor
  * debian/README.Debian, debian/tcpdump.dirs, debian/usr.sbin.tcpdump,
    debian/patches/patches/90_man_apparmor.diff,
    debian/install, debian/rules:
    - Install enforcing AppArmor profile.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 13 Jan 2014 16:22:22 +0100

tcpdump (4.5.1-2) unstable; urgency=low

  * Disable nflog-e testcase, the NFLOG header length is specified in host
    byte order which makes capture files order-dependent (closes: #731031).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 01 Dec 2013 12:13:16 +0100

tcpdump (4.5.1-1) unstable; urgency=low

  * New upstream release.
  * Disable new pppoes testcase which uses a new pcap feature to avoid tying
    the two upstream versions together.
  * debian/control: Set Standards-Version to 3.9.5.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 30 Nov 2013 23:54:03 +0100

tcpdump (4.4.0-1ubuntu1) saucy; urgency=low

  * Resynchronize on Debian remaining differences:
  * debian/control: 
    - Build-Depends on dh-apparmor.
    - Suggests apparmor
  * debian/README.Debian, debian/tcpdump.dirs, debian/usr.sbin.tcpdump,
    debian/patches/patches/90_man_apparmor.diff,
    debian/install, debian/rules:
    - Install enforcing AppArmor profile.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 May 2013 15:24:34 +0200

tcpdump (4.4.0-1) unstable; urgency=low

  * New upstream release:
    + Fixes format error in NTP printer (closes: #686276).
    + Rewords -e description (closes: #648768).
  * debian/control: Set Standards-Version to 3.9.4.
  * Use canonical locations in Vcs-* fields.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 25 May 2013 13:50:30 +0200

## tcpdump 4.6.2

=== debian/changelog ===
tcpdump (4.6.2-5) unstable; urgency=high

  * Cherry-pick commit fb6e5377f3 from upstream Git to fix regressions in the
    RPKI/RTR printer after the CVE-2015-2153 changes. Thanks to Artur Rona
    from Ubuntu for the heads-up (closes: #781362).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 04 Apr 2015 19:10:27 +0200

tcpdump (4.6.2-4) unstable; urgency=high

  * Cherry-pick changes from upstream Git to fix the following security
    issues:
    + CVE-2015-0261: missing bounds checks in IPv6 Mobility printer.
    + CVE-2015-2153: missing bounds checks in RPKI/RTR printer.
    + CVE-2015-2154: missing bounds checks in ISOCLNS printer.
    + CVE-2015-2155: missing bounds checks in ForCES printer.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 14 Mar 2015 18:43:44 +0100

tcpdump (4.6.2-3) unstable; urgency=high

  * Cherry-pick commit 0f95d441e4 from upstream Git to fix a buffer overflow
    in the PPP dissector (CVE-2014-9140).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 29 Nov 2014 12:23:53 +0100

tcpdump (4.6.2-2) unstable; urgency=high

  * Urgency high due to security fixes.
  * Add three patches extracted from various upstream commits fixing
    vulnerabilities in three dissectors:
    + CVE-2014-8767: missing bounds checks in OLSR dissector (closes: #770434).
    + CVE-2014-8768: missing bounds checks in Geonet dissector
      (closes: #770415).
    + CVE-2014-8769: missing bounds checks in AOVD dissector (closes: #770424).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 22 Nov 2014 11:48:08 +0100

tcpdump (4.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 04 Sep 2014 18:53:34 +0200

tcpdump (4.6.1-3) unstable; urgency=medium

  * Bump build-dep on libpcap0.8-dev to >= 1.5 as the pppoes_id test case
    requires a pcap version that supports PPPoE session ID filtering.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 16 Aug 2014 17:38:28 +0200

tcpdump (4.6.1-2) unstable; urgency=medium

  * Expand configure check for net/pfvar.h to also check for existence of
    net/if_pflog.h to fix build on GNU/kFreeBSD, which ships the former
    but not the latter, see #756553 (closes: #756790).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 04 Aug 2014 22:37:24 +0200

tcpdump (4.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Mark tcpdump 'Multi-Arch: foreign' (closes: #700727).

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 30 Jul 2014 19:16:49 +0200

=== debian/control ===
Source: tcpdump
Section: net
Priority: optional
Maintainer: Romain Francoise <rfrancoise@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~),
               debhelper (>= 8.9.4~),
               libpcap0.8-dev (>= 1.5),
               libssl-dev,
               autotools-dev,
               autoconf,
Standards-Version: 3.9.5
Homepage: http://www.tcpdump.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/rfrancoise/tcpdump.git
Vcs-Git: git://anonscm.debian.org/users/rfrancoise/tcpdump.git

Package: tcpdump
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: command-line network traffic analyzer
 This program allows you to dump the traffic on a network. tcpdump 
 is able to examine IPv4, ICMPv4, IPv6, ICMPv6, UDP, TCP, SNMP, AFS
 BGP, RIP, PIM, DVMRP, IGMP, SMB, OSPF, NFS and many other packet
 types.
 .
 It can be used to print out the headers of packets on a network 
 interface, filter packets that match a certain expression. You can 
 use this tool to track down network problems, to detect attacks
 or to monitor network activities.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64

%:
	dh $@ --parallel

override_dh_auto_configure:
	autoconf --force
	./configure --prefix=/usr --enable-ipv6 --with-crypto

## tcpdump 4.7.4

=== debian/changelog ===
tcpdump (4.7.4-1~bpo70+1) wheezy-backports-sloppy; urgency=low

  * Rebuild for wheezy-backports-sloppy.

 -- Sandro Tosi <morph@debian.org>  Wed, 22 Jul 2015 09:20:04 -0400

tcpdump (4.7.4-1) unstable; urgency=medium

  * New upstream release. 
  * Disable two geneve tests that require libpcap 1.7+.
  * Bump Standards-Version to 3.9.6.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 23 May 2015 18:25:01 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libssl-dev,
                autotools-dev,
                autoconf,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.tcpdump.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/rfrancoise/tcpdump.git
 Vcs-Git: git://anonscm.debian.org/users/rfrancoise/tcpdump.git

## tcpdump 4.9.0

=== debian/changelog ===
tcpdump (4.9.0-2ubuntu2) zesty; urgency=medium

  [ Intrigeri ]
  * Support apparmor profiles for merged /usr systems
    (LP: #1647188)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Feb 2017 08:22:12 +0100

tcpdump (4.9.0-2ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/{control, README.Debian, tcpdump.dirs, usr.sbin.tcpdump,
      install, rules, patches/patches/90_man_apparmor.diff}:
      + Add AppArmor profile.
    - debian/usr.sbin.tcpdump:
      + Allow capability net_admin to support '-j'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Feb 2017 13:23:02 +0100

tcpdump (4.9.0-2) unstable; urgency=medium

  * Re-enable crypto support, targeting OpenSSL 1.0 as upstream still
    doesn't support OpenSSL 1.1.
  * Drop --enable-ipv6 from configure line, it has been the default for
    years now.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 11 Feb 2017 16:40:05 +0100

tcpdump (4.9.0-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/{control, README.Debian, tcpdump.dirs, usr.sbin.tcpdump,
      install, rules, patches/patches/90_man_apparmor.diff}:
      + Add AppArmor profile.
    - debian/usr.sbin.tcpdump:
      + Allow capability net_admin to support '-j'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Feb 2017 15:39:27 +0100

tcpdump (4.9.0-1) unstable; urgency=high

  * New upstream security release, fixing the following:
    + CVE-2016-7922: buffer overflow in print-ah.c:ah_print().
    + CVE-2016-7923: buffer overflow in print-arp.c:arp_print().
    + CVE-2016-7924: buffer overflow in print-atm.c:oam_print().
    + CVE-2016-7925: buffer overflow in print-sl.c:sl_if_print().
    + CVE-2016-7926: buffer overflow in print-ether.c:ethertype_print().
    + CVE-2016-7927: buffer overflow in print-802_11.c:ieee802_11_radio_print().
    + CVE-2016-7928: buffer overflow in print-ipcomp.c:ipcomp_print().
    + CVE-2016-7929: buffer overflow in print-juniper.c:juniper_parse_header().
    + CVE-2016-7930: buffer overflow in print-llc.c:llc_print().
    + CVE-2016-7931: buffer overflow in print-mpls.c:mpls_print().
    + CVE-2016-7932: buffer overflow in print-pim.c:pimv2_check_checksum().
    + CVE-2016-7933: buffer overflow in print-ppp.c:ppp_hdlc_if_print().
    + CVE-2016-7934: buffer overflow in print-udp.c:rtcp_print().
    + CVE-2016-7935: buffer overflow in print-udp.c:rtp_print().
    + CVE-2016-7936: buffer overflow in print-udp.c:udp_print().
    + CVE-2016-7937: buffer overflow in print-udp.c:vat_print().
    + CVE-2016-7938: integer overflow in print-zeromq.c:zmtp1_print_frame().
    + CVE-2016-7939: buffer overflow in print-gre.c, multiple functions.
    + CVE-2016-7940: buffer overflow in print-stp.c, multiple functions.
    + CVE-2016-7973: buffer overflow in print-atalk.c, multiple functions.
    + CVE-2016-7974: buffer overflow in print-ip.c, multiple functions.
    + CVE-2016-7975: buffer overflow in print-tcp.c:tcp_print().
    + CVE-2016-7983: buffer overflow in print-bootp.c:bootp_print().
    + CVE-2016-7984: buffer overflow in print-tftp.c:tftp_print().
    + CVE-2016-7985: buffer overflow in print-calm-fast.c:calm_fast_print().
    + CVE-2016-7986: buffer overflow in print-geonet.c, multiple functions.
    + CVE-2016-7992: buffer overflow in print-cip.c:cip_if_print().
    + CVE-2016-7993: a bug in util-print.c:relts_print() could cause a
      buffer overflow in multiple protocol parsers (DNS, DVMRP, HSRP, IGMP,
      lightweight resolver protocol, PIM).
    + CVE-2016-8574: buffer overflow in print-fr.c:frf15_print().
    + CVE-2016-8575: buffer overflow in print-fr.c:q933_print().
    + CVE-2017-5202: buffer overflow in print-isoclns.c:clnp_print().
    + CVE-2017-5203: buffer overflow in print-bootp.c:bootp_print().
    + CVE-2017-5204: buffer overflow in print-ip6.c:ip6_print().
    + CVE-2017-5205: buffer overflow in print-isakmp.c:ikev2_e_print().
    + CVE-2017-5341: buffer overflow in print-otv.c:otv_print().
    + CVE-2017-5342: a bug in multiple protocol parsers (Geneve, GRE, NSH,
      OTV, VXLAN and VXLAN GPE) could cause a buffer overflow in
      print-ether.c:ether_print().
    + CVE-2017-5482: buffer overflow in print-fr.c:q933_print().
    + CVE-2017-5483: buffer overflow in print-snmp.c:asn1_parse().
    + CVE-2017-5484: buffer overflow in print-atm.c:sig_print().
    + CVE-2017-5485: buffer overflow in addrtoname.c:lookup_nsap().
    + CVE-2017-5486: buffer overflow in print-isoclns.c:clnp_print().
  * Re-enable all tests and bump build-dep on libpcap0.8-dev to >= 1.8
    accordingly.
  * Switch Vcs-Git URL to the https one.
  * Adjust lintian override name about dh 9.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 26 Jan 2017 20:04:11 +0100

tcpdump (4.8.1-2ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/{control, README.Debian, tcpdump.dirs, usr.sbin.tcpdump,
      install, rules, patches/patches/90_man_apparmor.diff}:
      + Add AppArmor profile.
    - debian/usr.sbin.tcpdump:
      + Allow capability net_admin to support '-j'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Dec 2016 23:51:56 +0100

tcpdump (4.8.1-2) unstable; urgency=medium

  * Disable new HNCP test, which fails on some buildds for some
    as-of-yet unexplained reason.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 29 Oct 2016 19:40:01 +0200

tcpdump (4.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Re-enable Geneve tests (disabled in 4.7.4-1) and bump build-dep on
    libpcap0.8-dev to >= 1.7 accordingly.
  * Disable new pcap version tests which require libpcap 1.8+.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 29 Oct 2016 17:16:06 +0200

tcpdump (4.7.4-3ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable. (LP: #1624633) Remaining changes:
    - debian/{control, README.Debian, tcpdump.dirs, usr.sbin.tcpdump,


=== debian/control ===
Source: tcpdump
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Romain Francoise <rfrancoise@debian.org>
Build-Depends: debhelper (>= 8.9.4~),
               dh-apparmor,
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               libpcap0.8-dev (>= 1.8),
               libssl1.0-dev
Standards-Version: 3.9.8
Homepage: http://www.tcpdump.org/
Vcs-Browser: https://anonscm.debian.org/cgit/users/rfrancoise/tcpdump.git/
Vcs-Git: https://anonscm.debian.org/git/users/rfrancoise/tcpdump.git

Package: tcpdump
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: apparmor (>= 2.3)
Multi-Arch: foreign
Description: command-line network traffic analyzer
 This program allows you to dump the traffic on a network. tcpdump
 is able to examine IPv4, ICMPv4, IPv6, ICMPv6, UDP, TCP, SNMP, AFS
 BGP, RIP, PIM, DVMRP, IGMP, SMB, OSPF, NFS and many other packet
 types.
 .
 It can be used to print out the headers of packets on a network
 interface, filter packets that match a certain expression. You can
 use this tool to track down network problems, to detect attacks
 or to monitor network activities.
